#-----------------------------------------------------------------------
#
#   Copyright 2001-2004 Exware Solutions, Inc.  http://www.exware.com
#
#   This file is part of ExSite WebWare (ExSite, for short).
#
#   ExSite is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   ExSite is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with ExSite; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#   Users requiring warranty coverage and/or support may arrange alternate
#   commercial licensing for ExSite, by contacting Exware Solutions 
#   via the website noted above.
#
#----------------------------------------------------------------------------
# This package exists because Store cannot use %config (because we try
# to load %config from the Store).  Therefore we need another way to 
# import config settings into the Store.

package ExSite::StoreConf;
use strict;

#=====================================================================
# Exported names:

BEGIN {
    use Exporter;
    use vars qw(@ISA @EXPORT);
    @ISA = qw(Exporter);
    @EXPORT      = qw(%st_config);
}

use vars (@EXPORT);

%st_config = (

	      # store type
	      type => "DBM",

	      # storage format
	      format => "Storable",
	      
	      # max time an item will persist with no accesses
	      max_idle => 60,

	      # max time an item will persist even with regular accesses
	      max_lifetime => 1440,

	      # max size of an item that will be stored
	      max_size => 10000,

	      # run the garbage collector after every N connections:
	      cleanup_interval => 10,

	      # file names and related identifiers
	      DBM_filename => "STORE",
	      DBM_lockfilename => "STORE.lock",
	      SHM_id => "4320",
	      File_directory => "store",

);

1;

